perl-modperl mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Paul Harrison" <c...@austin.rr.com>
Subject RE: Mod_perl2
Date Wed, 14 Sep 2005 22:44:52 GMT
I installed expat successfully.


Now I get the following error ==>

make
Making all in .
Making all in include
make  all-am
Making all in library
make  all-am
Making all in module
Making all in apache2
make: don't know how to make all-local. Stop
*** Error code 1


Cure




-----Original Message-----
From: Frank Wiles [mailto:frank@wiles.org] 
Sent: Wednesday, September 14, 2005 5:08 PM
To: Paul Harrison
Cc: modperl@perl.apache.org
Subject: Re: Mod_perl2

On Wed, 14 Sep 2005 16:56:16 -0500
"Paul Harrison" <cure@austin.rr.com> wrote:

> I tried installing libapreq2-2.06-dev
> 
> I get the following  error ==>
> 
> 
> /usr/local/bin/bash ../libtool --mode=link gcc  -g -O2    -o
> libapreq2.la -rpath /usr/local/lib -version-info 3:3:1 
> -L/usr/local/lib/apache2 -lapr-0 -laprutil-0  -lexpat -liconv -lm
> -lcrypt util.lo version.lo cookie.lo param.lo  parser.lo
> parser_urlencoded.lo parser_header.lo parser_multipart.lo module.lo
> module_custom.lo module_cgi.lo  error.lo   gcc -shared  .libs/util.o
> .libs/version.o .libs/cookie.o .libs/param.o .libs/parser.o
> .libs/parser_urlencoded.o .libs/parser_header.o
> .libs/parser_multipart.o .libs/module.o .libs/module_custom.o
> .libs/module_cgi.o .libs/error.o  -L/usr/local/lib/apache2 -lapr-0
> -laprutil-0 -lexpat -liconv -lm -lcrypt  -Wl,-soname
> -Wl,libapreq2.so.3 -o .libs/libapreq2.so.3
> /usr/bin/ld: cannot find -lexpat
> *** Error code 1
>
  
  That's the same problem Bosenberry Payne had and fixed by installing
  libexpat from http://libexpat.org.  Install that and you'll be able
  to install libapreq then. 

 ---------------------------------
   Frank Wiles <frank@wiles.org>
   http://www.wiles.org
 ---------------------------------


Mime
View raw message